View Issue Details

IDProjectCategoryView StatusLast Update
0023177LazarusIDEpublic2012-10-29 21:55
ReporterAlexander S. KleninAssigned ToJuha Manninen 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0023177: [regression] OI: Fields disappear from object inspector
DescriptionSee steps to reproduce.
The issue is not specific to a particular component.
Steps To Reproduce1) Put TPageControl on a form
2) Add a page
=>
"Name" field is absent from the OI
TagsNo tags attached.
Fixed in Revisionr39184
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0023181 resolvedJuha Manninen OI: make "show all owned objects in properties" optional 
related to 0023235 closedJuha Manninen [TImageList, TPopupMenu] Property Name is not visible 

Activities

John Landmesser

2012-10-26 18:26

reporter   ~0063474

I developed my project on windows XP and linux.
Now i am on linux and for a popup menu that i added on Win XP there is no name property in objectinspector on linux.

But if i add now on linux a new popup to my form there is a name property in objectinspector.

I don't know if that is related to developing on Win and linux!

I copied these file types from win XP to my linux box:

C:\PROJEKTE\Lazarus\Ersetze\*.pas
C:\PROJEKTE\Lazarus\Ersetze\*.lpi
C:\PROJEKTE\Lazarus\Ersetze\*.lfm
C:\PROJEKTE\Lazarus\Ersetze\*.lpr
C:\PROJEKTE\Lazarus\Ersetze\*.ico
C:\PROJEKTE\Lazarus\Ersetze\*.todo

But i think that has no relation to the missing name property!



svn lazarus -> 24.10.12
Lazarus 1.1 r39159M FPC 2.6.0 i386-linux-gtk 2

Juha Manninen

2012-10-29 21:54

developer   ~0063551

Old behavior returned. Defining ShowOwnedObjectsOI shows all owned objects in OI.

Issue History

Date Modified Username Field Change
2012-10-21 12:28 Alexander S. Klenin New Issue
2012-10-21 12:28 Alexander S. Klenin LazTarget => -
2012-10-21 12:28 Alexander S. Klenin Widgetset => Win32/Win64
2012-10-21 12:50 Maxim Ganetsky Summary OI: Fields disappear from object inspector => [regression] OI: Fields disappear from object inspector
2012-10-21 14:38 Juha Manninen Relationship added related to 0023181
2012-10-26 18:26 John Landmesser Note Added: 0063474
2012-10-28 22:18 Bart Broersma Relationship added related to 0023235
2012-10-29 21:54 Juha Manninen Fixed in Revision => r39184
2012-10-29 21:54 Juha Manninen Status new => resolved
2012-10-29 21:54 Juha Manninen Resolution open => fixed
2012-10-29 21:54 Juha Manninen Assigned To => Juha Manninen
2012-10-29 21:54 Juha Manninen Note Added: 0063551